package org.ntlab.radishforandroidstudio.framework.gameMain;

import org.ntlab.radishforandroidstudio.framework.animation.Animation3D;
import org.ntlab.radishforandroidstudio.framework.model3D.Object3D;
import org.ntlab.radishforandroidstudio.framework.model3D.Placeable;
import org.ntlab.radishforandroidstudio.framework.physics.Collidable;

import java.util.ArrayList;

public abstract class BaseActor extends Animatable implements Collidable {


    protected ArrayList<ArrayList<Placeable>> collidableListList;

    public BaseActor(Object3D body, Animation3D animation) {

        super(body, animation);
        collidableListList = new ArrayList<ArrayList<Placeable>>();

    }

    public void addCollidableList(ArrayList<Placeable> pList) {
        collidableListList.add(pList);
    }
}
